Summary:  A browser plugin for MPlayer
Name:     mplayerplug-in
Version:  3.55
Release:  34.99%{?dist}
URL:      http://mplayerplug-in.sourceforge.net/
Source0:  http://downloads.sourceforge.net/mplayerplug-in/%{name}-%{version}.tar.gz
License:  GPLv2
Group:    Applications/Multimedia
Requires: mplayer >= 4:1.0, mplayer-skin-mini
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: gcc-c++, gettext
BuildRequires: libXt-devel, libXpm-devel
BuildRequires: mozilla-devel
BuildRequires: glib2-devel, gtk2-devel
Obsoletes: mozilla-mplayer <= %{evr}
Conflicts: gecko-mediaplayer

%description
mplayerplug-in is a browser plugin that uses mplayer to play videos
in your browser.

%prep
%setup -q

%build
%configure
make

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

%find_lang %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc ChangeLog INSTALL README TODO
%{_libdir}/mozilla/plugins/*
%config(noreplace) %{_sysconfdir}/mplayerplug-in.conf
%config(noreplace) %{_sysconfdir}/mplayerplug-in.types

%changelog
* Sat Aug  9 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 3.55-35
- Update to 3.55.

* Sun Jun 15 2008 Paulo Roma <roma@lcg.ufrj.br> - 3.50-34
- Patched for building on Fedora 9.
- Replaced BR firefox-devel for gecko-devel.

* Sat Dec 29 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 3.50-33
- Update to 3.50.

* Wed Oct 24 2007 Paulo Roma <roma@lcg.ufrj.br> - 3.45-32
- Update to 3.45.
- Version 1.0pre7 or higher of mplayer is required, 
  mplayer CVS recommended.

* Mon Mar 26 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 3.40-31
- Update to 3.40.

* Sat Sep 16 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 3.31-29
- Update to 3.31.

* Sat Apr 15 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 3.25.

* Thu Feb 16 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 3.21.

* Thu Dec  8 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 3.17.

* Fri Dec  2 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 3.16.

* Sat Nov  5 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 3.15.

* Sat Sep 17 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 3.11.

* Sat Aug  6 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 3.05.

* Tue Feb 15 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 2.80.

* Fri Dec 17 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 2.75.

* Tue Sep 28 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 2.70.

* Mon Jun 21 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 2.66.

* Sat Jun 19 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 2.65.

* Thu Apr 22 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 2.60.

* Wed Mar  3 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 2.45.

* Fri Feb 27 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 2.40.

* Wed Feb 25 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 2.11.

* Thu Jan 22 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.2.

* Sun Dec 14 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.0.

* Wed Nov 26 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.0pre2.

* Tue Oct  7 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Updated to 0.95.

* Sat Sep 13 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Updated to 0.91.

* Thu Jun 19 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Updated to 0.80.

* Tue Apr 22 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Updated to 0.71.

* Tue Apr  8 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Updated to 0.70.

* Wed Mar 12 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Updated to 0.60.
- Added %doc entries.
- Replaced $RPM_BUILD_ROOT with %{buildroot}

* Fri Jan 24 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Initial build.


